Skip to content

List this tenant's knowledge packs

GET
/v1/knowledge-packs
curl --request GET \
--url 'https://api.vocapable.com/v1/knowledge-packs?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
created_at
Any of:
string

Filter on created_at. Comma-separated values are OR.

created_at.gte
Any of:
string

Filter on created_at with the gte operator.

created_at.lte
Any of:
string

Filter on created_at with the lte operator.

created_at.gt
Any of:
string

Filter on created_at with the gt operator.

created_at.lt
Any of:
string

Filter on created_at with the lt operator.

created_at.in
Any of:
string

Filter on created_at with the in operator.

Successful Response

Media typeapplication/json
CursorPage[KnowledgePackSummary]
object
data
required
Data
Array<object>
KnowledgePackSummary

A pack as a list row. current_version is the highest version that reached ready.

object
id
required
Id
string
name
required
Name
string
current_version
Any of:
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}